Name:           python-xeddsa
Version:        0.6.0~beta
Release:        2%{?dist}
Summary:        Python implementation of the XEdDSA signature scheme

License:        MIT
URL:            https://github.com/Syndace/%{name}
Source0:        https://github.com/Syndace/%{name}/archive/v%{version_no_tilde}.tar.gz
# For files and directories
%global version_main %(c=%version; echo $c|cut -d~ -f1)

BuildRequires:  python3-devel
BuildRequires:  python3-cffi
BuildRequires:  python3-pynacl
# required by setup.py
BuildRequires:  make
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++


%description
This python library offers an open implementation of the XEdDSA
signature scheme.

It allows to create and verify EdDSA-compatible signatures using
public key and private key formats initially defined for the X25519
and X448 elliptic curve Diffie-Hellman functions.



%package     -n python3-xeddsa
Summary:        Python implementation of the XEdDSA signature scheme

%description -n python3-xeddsa
This python library offers an open implementation of the XEdDSA
signature scheme.

It allows to create and verify EdDSA-compatible signatures using
public key and private key formats initially defined for the X25519
and X448 elliptic curve Diffie-Hellman functions.



%prep
%autosetup -n %{name}-%{version_no_tilde}


%build
%py3_build


%install
%py3_install


%check
# Unit tests perform DNS resolution and requires active Internet
# connection: disabling
##%{__python3} setup.py test



%files -n python3-xeddsa
%license LICENSE
%doc README.md
# For arch-specific packages: sitearch
%{python3_sitearch}/xeddsa/
%{python3_sitearch}/_crypto_sign.abi3.so
%{python3_sitearch}/XEdDSA-%{version_main}-py%{python3_version}.egg-info/



%changelog
* Sun Feb 14 2021 Matthieu Saulnier <fantom@fedoraproject.org> - 0.6.0~beta-2
- Package Review RHBZ#1906287:
  - Add more explicit description
  - Remove %%{srcname} variable truely used once
  - Fix the Version tag to match upstream version
  - Use %%{python3_version} in %%files section

* Wed Dec 09 2020 Matthieu Saulnier <fantom@fedoraproject.org> - 0.6.0-1
- Initial package
